import path_setting
from in_common.base_request import BaseRequest


class my_conversation_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.MY_CONVERSATION_CONFIG)

    def my_conversation(self,current_city_id,start_num,count,):
        self.params["current_city_id"] = current_city_id
        self.params["start_num"] = start_num
        self.params["count"] = count
        return self.api_send(self.data["my_conversation"])


if __name__ == '__main__':
    print(my_conversation_request().my_conversation("beijing", "0", 10))